Showing results 1 to 3 of 3

Thread: Target other .NET Framework version with the Add-In Framework

  1. #1
    Join Date
    27.03.2018
    Posts
    3

    Default Target other .NET Framework version with the Add-In Framework

    Hi,
    if I create a new add-in project with the COPA-DATA Developer Tools,
    the newly created project targets .NET 4.5.

    Can I target a higher .NET framework (e.g. 4.6.2 or 4.7.2)
    or does the addin framework in zenon requires exactly the .NET 4.5 framework?

    Thx, in advance!

  2. #2
    Join Date
    28.02.2013
    Posts
    163

    Default Re: Target other .NET Framework version with the Add-In Framework

    Hi ms,

    yes, you can also target a higher version.

    Regards,
    Felix

  3. #3
    Join Date
    27.03.2018
    Posts
    3

    Default Re: Target other .NET Framework version with the Add-In Framework

    Hi felixst,
    thanks for the answer!

    I already assumed that only the normal .NET rules for multi-targeting and versioning apply:
    https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/versions-and-dependencies
    https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/version-compatibility

Similar Threads

  1. Logging in the AddIn Framework
    By roger_novarctech in forum Add-In Framework
    Replies: 1
    Last Post: 23rd September 2019, 07:56
  2. Add-In Debug Target
    By simonabler in forum Add-In Framework
    Replies: 0
    Last Post: 27th November 2018, 13:15
  3. .NET Framework version
    By loanvar in forum VSTA
    Replies: 14
    Last Post: 11th June 2018, 07:54
  4. Replies: 1
    Last Post: 15th July 2016, 09:02
  5. WPF Usercontrol & .Net Framework Version
    By stefan.maus in forum VSTA
    Replies: 1
    Last Post: 31st August 2012, 00:41

Tags for this Thread

Posting Rules

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •